﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WinGridMergeCells2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable table0 = new DataTable("Test");
            table0.Columns.Add("col1", typeof(string));
            table0.Columns.Add("col2", typeof(string));
            table0.Columns.Add("Edit", typeof(int));

            table0.Rows.Add("A", "AA", 1);
            table0.Rows.Add("A", "AA", 0);
            table0.Rows.Add("A", "AA", 1);
            table0.Rows.Add("B", "BB", 0);
            table0.Rows.Add("B", "BB", 1);
            table0.Rows.Add("B", "BB", 1);
            table0.Rows.Add("c", "AAA", 1);
            table0.Rows.Add("c", "AAA", 0);


            table0.Rows.Add("D", "AA", 1);
            table0.Rows.Add("D", "AA", 0);
            table0.Rows.Add("D", "AA", 1);
            table0.Rows.Add("E", "BB", 0);
            table0.Rows.Add("E", "BB", 1);
            table0.Rows.Add("E", "BB", 1);
            table0.Rows.Add("E", "AAA", 1);
            table0.Rows.Add("E", "AAA", 0);


            ultraGrid1.DataSource = table0;        
         
        }

        private void ultraGrid1_InitializeLayout(object sender, InitializeLayoutEventArgs e)
        {

            ultraGrid1.DisplayLayout.ViewStyleBand = Infragistics.Win.UltraWinGrid.ViewStyleBand.OutlookGroupBy;
            ultraGrid1.DisplayLayout.ViewStyle = Infragistics.Win.UltraWinGrid.ViewStyle.MultiBand;
           
            ultraGrid1.DisplayLayout.Override.AllowMultiCellOperations = AllowMultiCellOperation.Copy;

            ultraGrid1.DisplayLayout.Override.CellClickAction = CellClickAction.CellSelect;

         
            ultraGrid1.DisplayLayout.Override.RowSelectorWidth = 20;

            // ultraGrid1.DisplayLayout.GroupByBox.Hidden = true;
            ultraGrid1.DisplayLayout.Override.HeaderPlacement = Infragistics.Win.UltraWinGrid.HeaderPlacement.OncePerGroupedRowIsland;
            ////////Freez header;
            ultraGrid1.DisplayLayout.UseFixedHeaders = true;
            ultraGrid1.DisplayLayout.Override.ExpansionIndicator = ShowExpansionIndicator.CheckOnDisplay;
            ultraGrid1.DisplayLayout.Override.FixedHeaderIndicator = FixedHeaderIndicator.None;
            // set knwon column attributes
            ultraGrid1.DisplayLayout.Override.RowSelectors = Infragistics.Win.DefaultableBoolean.True;

            this.ultraGrid1.DisplayLayout.Bands[0].SortedColumns.Add(ultraGrid1.DisplayLayout.Bands[0].Columns["col1"], false, true);

            ultraGrid1.AllowDrop = true;

       
            
        }

        private void ultraGrid1_InitializeRow(object sender, InitializeRowEventArgs e)
        {
            if ((int)e.Row.Cells["Edit"].Value < 1)
            {
              
                e.Row.Appearance.BackColor = Color.LightGray;
               // e.Row.Appearance.AlphaLevel = 75;
            }
          
        }
    }


   
}
